Customers - Delete
curl --request DELETE \
--url https://sandbox.hyperswitch.io/customers/{customer_id} \
--header 'api-key: <api-key>'import requests
url = "https://sandbox.hyperswitch.io/customers/{customer_id}"
headers = {"api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'api-key': '<api-key>'}};
fetch('https://sandbox.hyperswitch.io/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer_id": "cus_y3oqhf46pyzuxjbcn2giaqnb44",
"customer_deleted": false,
"address_deleted": false,
"payment_methods_deleted": false
}Customers
Customers - Delete
Delete a customer record.
DELETE
/
customers
/
{customer_id}
Customers - Delete
Authorizations
Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Path Parameters
The unique identifier for the Customer
Response
Customer was Deleted
The identifier for the customer object
Maximum string length:
255Example:
"cus_y3oqhf46pyzuxjbcn2giaqnb44"
Whether customer was deleted or not
Example:
false
Whether address was deleted or not
Example:
false
Whether payment methods deleted or not
Example:
false
Was this page helpful?